> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a list of device fields with localized values



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1alpha/organizations/{organizationId}/devices/fields/all
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1alpha/organizations/{organizationId}/devices/fields/all:
    get:
      tags:
        - Devices
      summary: Return a list of device fields with localized values
      operationId: publicGetDeviceFieldsList
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: locale
          required: true
          in: query
          description: Translate the field names and labels to the specified locale.
          schema:
            $ref: '#/components/schemas/Locale'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PublicGetDeviceFieldsListResponseDtoV1Alpha
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      deprecated: true
      security:
        - API-Key: []
components:
  schemas:
    Locale:
      type: string
      enum:
        - en
        - ja
    PublicGetDeviceFieldsListResponseDtoV1Alpha:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicDeviceFieldDtoV1Alpha'
      required:
        - items
    PublicDeviceFieldDtoV1Alpha:
      type: object
      properties:
        id:
          type: number
          nullable: true
          readOnly: true
          example: 123
        uniqueName:
          type: string
          readOnly: true
          example: foo
        source:
          type: string
          readOnly: true
          enum:
            - preset
            - custom
          example: preset
        kind:
          type: string
          readOnly: true
          enum:
            - text
            - date
            - number
            - dropdown
          example: text
        name:
          type: string
          readOnly: true
          example: Foo
        required:
          type: boolean
          readOnly: true
          example: true
        visibleForType:
          type: array
          example:
            - other
            - phone
          items:
            type: string
            enum:
              - pc
              - phone
              - other
        hidden:
          type: boolean
          readOnly: true
          example: true
        configuration:
          type: object
          oneOf:
            - type: array
              items:
                $ref: '#/components/schemas/PublicDeviceFieldDropdownConfigurationDto'
          nullable: true
      required:
        - id
        - uniqueName
        - source
        - kind
        - name
        - required
        - visibleForType
        - hidden
        - configuration
    PublicDeviceFieldDropdownConfigurationDto:
      type: object
      properties:
        label:
          type: string
          readOnly: true
          example: Foo
      required:
        - label
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````